Last Comment Bug 613087 - Esc key should cancel Forget tab in Data Manager
: Esc key should cancel Forget tab in Data Manager
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Passwords & Permissions (show other bugs)
: Trunk
: All All
: -- enhancement (vote)
: seamonkey2.1b2
Assigned To: Robert Kaiser (not working on stability any more)
:
Mentors:
Depends on: DataManager
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-17 16:43 PST by Ian Neal
Modified: 2010-12-15 06:17 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
v1: escape from the forget panel on ESC (4.48 KB, patch)
2010-11-27 07:52 PST, Robert Kaiser (not working on stability any more)
iann_bugzilla: review+
Details | Diff | Review

Description Ian Neal 2010-11-17 16:43:31 PST
Steps to reproduce
1. Select a domain
2. Press delete key
3. Forget tab appears

Only way to get rid of the forget tab at the moment is to switch to another domain, would be good to have the Esc key get rid of it too.
Comment 1 Robert Kaiser (not working on stability any more) 2010-11-27 07:52:50 PST
Created attachment 493520 [details] [diff] [review]
v1: escape from the forget panel on ESC

This patch should do it for the common cases. As the panel itself can't be focused, we actually need to capture keypress events on those elements that have focus, like the domain tree or the forget tab. In the case that we have done a successful forget of all data in the domain, we don't have focus on anything, so the event goes to the window, and we also don't have a domain selected, so we need to go and select one to hide the panel (I chose to just use the first in the list). In other cases, we can perform a select on the current domain, which will go to the first available panel of that domain and hide forget.
Comment 2 Robert Kaiser (not working on stability any more) 2010-12-15 06:17:47 PST
Pushed as http://hg.mozilla.org/comm-central/rev/573786da52d7

Note You need to log in before you can comment on or make changes to this bug.